﻿using System;
using Wisej.Web;

namespace TextChangeUserControl
{
	public partial class ComboBoxWithTextBox : Wisej.Web.UserControl
	{
		public ComboBoxWithTextBox()
		{
			InitializeComponent();

			this.textBox1.GotFocus += TextBox1_GotFocus;

			this.textBox1.LostFocus += TextBox1_LostFocus;
		}

		private void TextBox1_LostFocus(object sender, EventArgs e)
		{
			AlertBox.Show("lost focus");
		}

		private void TextBox1_GotFocus(object sender, EventArgs e)
		{
			AlertBox.Show("got focus");
		}

		private void textBox1_TextChanged(object sender, EventArgs e)
		{
			AlertBox.Show("text changed");
		}

		private void textBox1_KeyDown(object sender, KeyEventArgs e)
		{
			AlertBox.Show("key down");
		}
	}
}
